from flut._flut.engine import FlutStaticObject
from flut.flutter.material.theme_data import ThemeData


class Theme(FlutStaticObject):

    @staticmethod
    def of(context) -> ThemeData:
        return FlutStaticObject._static_call("Theme", "of", context)